/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef PROBE_H
#define PROBE_H

#include <stdio.h>		/* standard i/o definitions */
#include <stdlib.h>		/* standard lib */
#include <math.h>		/* mathematical functions */
#include <strings.h>		/* string function definitions */

#include "my_limits.h"
#include "serial.h"
#include "structures.h"
#include "gm4lin.h"

extern FILE *std_msg;
extern FILE *std_err;
extern boolean flag_stop;

int build_port_name(char *port_name,char *port_location,int port_number);
int start_probe(struct probe_descriptor *probe,int probe_index,struct configuration_struct *settings);
int stop_probe(struct probe_descriptor *probe);
int read_probe(struct probe_descriptor *probe);
int run_probe(struct probe_descriptor *probe);

#endif
